unit WinSer;

interface

const WinSeria = 'WinSeria.DLL';

type
{powtrzona deklaracja typu}
  tBuforBajtow = array [1..256] of byte;

  tChBuffer = array[0..255]of char;

{deklaracje funkcji importowanych}
  function IsError( var ErrorMsg: PChar; var ErrorCode: Integer ):boolean; StdCall;
  function iIsError(var ErrorMsg : string; var ErrorCode : Integer) : boolean; StdCall;
  function UnInitializePort:integer; StdCall;
  function ClearPort:integer;  StdCall;
  function InitializePort( Port:byte; BaudRate:word;
                           WriteTimeout,ReadTimeout:word ):integer; StdCall;
  function iInitializePort( Port:byte; BaudRate:integer;
                            WriteTimeout,ReadTimeout:integer ):integer; StdCall;

  function WriteByte( wByte:byte ):integer; StdCall;
  function ReadByte( var rByte:byte ):integer;  StdCall;
  function WriteData( MaxLen:integer; Buffer: Pchar ):integer; StdCall;
  function ReadData( MaxLen:integer; var tChBuffer ):integer; StdCall;
  function TimeOut:boolean; StdCall;

  function RSSequence( ControlCode:byte;
                       QuantityOfBytesToReceive:byte;
                       QuantityOfBytesToSend:byte;
                       var InputBuffer:tBuforBajtow;
                       OutputBuffer:tBuforBajtow ):byte; StdCall;
  function DllVersion : string;StdCall;
implementation
   {deklaracje funkcji importowych}
  function ClearPort; external WinSeria;
  function WriteByte; external WinSeria;
  function ReadByte; external WinSeria;
  function WriteData; external WinSeria;
  function ReadData; external WinSeria;

  function InitializePort; external WinSeria;
  function iInitializePort; external WinSeria;
  function IsError; external WinSeria;
  function iIsError;external WinSeria;
  function UnInitializePort; external WinSeria;
  function TimeOut; external WinSeria;
  function RSSequence; external WinSeria;
  function DllVersion; external WinSeria;
end.
